#include <mega8.h>
#include <delay.h>
// 1 Wire Bus functions
#asm
   .equ __w1_port=0x18 ;PORTB
   .equ __w1_bit=2
#endasm
#include <1wire.h>
#include <ds1820.h>

// Alphanumeric LCD Module functions
#asm
   .equ __lcd_port=0x12 ;PORTD
#endasm
#include <lcd.h>
#include <stdio.h> 

char lcd_buf[17];
void main(void)
{

float temper;  
lcd_init(16);   
w1_init();

              
while(1)                 
      {
           
          temper=ds1820_temperature_10(0);
          if (temper>1000)
          {               
             temper=4096.0-temper;            
             temper=-temper;                
          }
          sprintf(lcd_buf,"t=%.1f\xdfC",temper/10);    
          lcd_clear();                
          lcd_puts(lcd_buf);        
          delay_ms(1500);              
      }; 
}
